<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.shopping.mapper.ConsignDistMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="consignDistResultMap" type="org.springblade.modules.shopping.entity.ConsignDist">
        <result column="id" property="id"/>
        <result column="create_time" property="createTime"/>
        <result column="consign_id" property="consignId"/>
        <result column="goods_id" property="goodsId"/>
        <result column="goods_price" property="goodsPrice"/>
        <result column="total_num" property="totalNum"/>
        <result column="total_price" property="totalPrice"/>
    </resultMap>


    <select id="selectConsignDistPage" resultMap="consignDistResultMap">
        select * from t_consign_dist where is_deleted = 0
    </select>

</mapper>
